# Created by pyp2rpm-3.3.8
%global pypi_name ssh-audit
%global pypi_version 3.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        An SSH server & client configuration security auditing tool

License:        MIT
URL:            https://github.com/jtesta/ssh-audit
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
SSH server & client security auditing (banner, key exchange, encryption, mac,
compression, compatibility, security, etc)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
SSH server & client security auditing (banner, key exchange, encryption, mac,
compression, compatibility, security, etc)

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/ssh-audit
%{python3_sitelib}/ssh_audit
%{python3_sitelib}/ssh_audit-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Oct 15 2023 Neil Hanlon <neil@shrug.pw> - 3.0.0-1
- Initial package.
